---
title: <display-legacy>
slug: Web/CSS/display-legacy
tags:
  - CSS
  - CSS Data Type
  - CSS Display
  - Data Type
  - Reference
  - display-legacy
---
<div>{{CSSRef}}</div>

<p class="summary">CSS 2 used a single-keyword syntax for the <code>display</code> property, requiring separate keywords for block-level and inline-level variants of the same layout mode. This page details those values.</p>

<h2 id="Syntax">Syntax</h2>

<p>Valid <code>&lt;display-legacy&gt;</code> values:</p>

<dl>
 <dt><code>inline-block</code></dt>
 <dd>The element generates a block element box that will be flowed with surrounding content as if it were a single inline box (behaving much like a replaced element would).<br>
 <br>
 It is equivalent to <code>inline flow-root</code>.</dd>
 <dt><code>inline-table</code></dt>
 <dd>The <code>inline-table</code> value does not have a direct mapping in HTML. It behaves like an HTML {{HTMLElement("table")}} element, but as an inline box, rather than a block-level box. Inside the table box is a block-level context.<br>
 <br>
 It is equivalent to <code>inline table</code>.</dd>
 <dt><code>inline-flex</code></dt>
 <dd>The element behaves like an inline element and lays out its content according to the flexbox model.<br>
 <br>
 It is equivalent to <code>inline flex</code>.</dd>
 <dt><code>inline-grid</code></dt>
 <dd>The element behaves like an inline element and lays out its content according to the grid model.<br>
 <br>
 It is equivalent to <code>inline grid</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In the below example, we are creating an inline flex container with the legacy keyword inline-flex.</p>

<div id="Example">
<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div class="container"&gt;
  &lt;div&gt;Flex Item&lt;/div&gt;
  &lt;div&gt;Flex Item&lt;/div&gt;
&lt;/div&gt;

Not a flex item
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">.container {
  display: inline-flex;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples", 300, 150)}}</p>
</div>

<p>In the new syntax the inline flex container would be created using two values, inline for the outer display type, and flex for the inner display type.</p>

<pre class="brush: css notranslate">.container {
  display: inline flex;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Display', '#typedef-display-legacy', 'display-legacy')}}</td>
   <td>{{Spec2('CSS3 Display')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<h3 id="Support_of_inline-block">Support of inline-block</h3>

<p>{{Compat("css.properties.display.inline-block", 10)}}</p>

<h3 id="Support_of_inline-table">Support of inline-table</h3>

<p>{{Compat("css.properties.display.inline-table", 10)}}</p>

<h3 id="Support_of_inline-flex">Support of inline-flex</h3>

<p>{{Compat("css.properties.display.inline-flex", 10)}}</p>

<h3 id="Support_of_inline-grid">Support of inline-grid</h3>

<p>{{Compat("css.properties.display.inline-grid", 10)}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("display")}}
  <ul>
   <li>{{CSSxRef("&lt;display-outside&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-inside&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-listitem&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-internal&gt;")}}</li>
   <li>{{CSSxRef("&lt;display-box&gt;")}}</li>
  </ul>
 </li>
</ul>
